\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Qt Graphics View Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Qt::GraphicsItem Class Reference
Graphics Item Classes

`#include <CGAL/Qt/GraphicsItem.h>`

## Inherits from

QGraphicsItem.

Inherited by CGAL::Qt::CircularArcGraphicsItem< CK >, CGAL::Qt::TriangulationGraphicsItem< T >, and CGAL::Qt::VoronoiGraphicsItem< DT >.

## Definition

The CGAL graphics items hold pointers to CGAL data structures.

When a data structure changes, a signal is emitted. An object derived from type `GraphicsItem` must provide an implementation of the virtual slot `modelChanged()`. This typically triggers redrawing, as well as recomputation of the bounding box which in turn may trigger redrawing of overlapping graphics items.

## Slots
virtual void | modelChanged ()
| This slot must be provided by derived classes.